Announcement Announcement Module
Collapse
No announcement yet.
Problem with Tomcat 5.5 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem with Tomcat 5.5

    I have followed procedure stated for Mr. Rob Winch, with Tomcat 5.5 and 7.0, in order to understand Spring Security and other matters as Gridle. With the last versión all run ok, but when I launch spring-security-samples-tutorial's application on my Internet Explorer(Tomcat 5.5) and I click over list_account link, I get below error:

    Code:
    18:57:03.793 [http-8080-Processor25] ERROR o.a.c.c.C.[.[.[/tutorial].[jsp] - El Servlet.service() para servlet jsp lanzó una excepción
    java.lang.NoClassDefFoundError: javax/el/ValueExpression
    	at java.lang.Class.getDeclaredMethods0(Native Method) ~[na:1.6.0_35]
    	at java.lang.Class.privateGetDeclaredMethods(Class.java:2427) ~[na:1.6.0_35]
    	at java.lang.Class.privateGetPublicMethods(Class.java:2547) ~[na:1.6.0_35]
    	at java.lang.Class.getMethods(Class.java:1410) ~[na:1.6.0_35]
    	at java.beans.Introspector.getPublicDeclaredMethods(Introspector.java:1284) ~[na:1.6.0_35]
    	at java.beans.Introspector.getTargetMethodInfo(Introspector.java:1158) ~[na:1.6.0_35]
    	at java.beans.Introspector.getBeanInfo(Introspector.java:408) ~[na:1.6.0_35]
    	at java.beans.Introspector.getBeanInfo(Introspector.java:167) ~[na:1.6.0_35]
    	at java.beans.Introspector.getBeanInfo(Introspector.java:230) ~[na:1.6.0_35]
    	at java.beans.Introspector.<init>(Introspector.java:389) ~[na:1.6.0_35]
    	at java.beans.Introspector.getBeanInfo(Introspector.java:167) ~[na:1.6.0_35]
    	at java.beans.Introspector.getBeanInfo(Introspector.java:230) ~[na:1.6.0_35]
    	at java.beans.Introspector.<init>(Introspector.java:389) ~[na:1.6.0_35]
    	at java.beans.Introspector.getBeanInfo(Introspector.java:167) ~[na:1.6.0_35]
    	at org.apache.jasper.compiler.Generator$TagHandlerInfo.<init>(Generator.java:3713) ~[jasper-compiler.jar:na]
    	at org.apache.jasper.compiler.Generator$GenerateVisitor.getTagHandlerInfo(Generator.java:2120) ~[jasper-compiler.jar:na]
    	at org.apache.jasper.compiler.Generator$GenerateVisitor.visit(Generator.java:1599) ~[jasper-compiler.jar:na]
    	...
    At first glance, it seems like the solution is to include jar where is javax/el/ValueExpression, into gradle repository. If I am correct, how do I do that?

    Note.- It is important this point because I am going to modify a project using Spring Security an one of the restrictions is to use Tomcat 5.0. I was not able to get thar versión that's why I used Tomcat 5.5

    I kindly appreciate your valuable support for this matter.

    Regards.
    Last edited by Gabriel Logan; Oct 28th, 2012, 05:00 PM. Reason: Erratum

  • #2
    Confusing. No idea about this.

    Comment


    • #3
      What's confusing?

      Originally posted by Geraldine View Post
      Confusing. No idea about this.
      I appreciate your response. What is confusing? My poor grammar?, I know I am not a native guy, I wish you told me if this misunderstanding is for my poor English. I think this could help me to improve it.

      Regards.

      Comment

      Working...
      X